// src/index.ts
import { useEffect, useState } from "react";
import { useEventListener, _document } from "@raddix/use-event-listener";
var useScroll = ({
  target = _document
} = {}) => {
  const [scrollPosition, setScrollPosition] = useState({
    x: 0,
    y: 0
  });
  const handle = () => {
    var _a, _b;
    if (!target)
      return;
    const targetElement = target instanceof Document ? document.documentElement : target.current;
    setScrollPosition({
      x: (_a = targetElement == null ? void 0 : targetElement.scrollLeft) != null ? _a : null,
      y: (_b = targetElement == null ? void 0 : targetElement.scrollTop) != null ? _b : null
    });
  };
  useEffect(() => {
    handle();
  }, []);
  useEventListener(target, "scroll", handle, { passive: true });
  return scrollPosition;
};
export {
  useScroll
};
